version 14

* FIGURE 1 Effects of Selected Program and Scheme Attributes on Probability of Being Selected by Employment Status

******************  FIGURE 1 LEFT PANEL: ECONOMIC POLICY CONJOINT
use dataset2.dta, clear

**** Creation of the employment status variable (employed)

* Q177	Lei attualmente ha un lavoro retribuito, cioe' svolge una attivita' lavorativa retribuita? 1 si/ 2 no
* Q178	Indichi la Sua attuale professione: (lista di professioni)
* 1 Imprenditore
* 2 Artigiano/ familiare coadiuvante
* 3 Commerciante
* 4 Altro lavoratore autonomo, rappresentante, agente di commercio
* 5 Libero professionista
* 6 Dirigente
* 7 Docente / Professore scuola superiore
* 8 Insegnate scuola media, elementare, materna
* 9 Quadro, direttivo, tecnico
* 10 Impiegato
* 11 Altro lavoratore dipendente
* 12 Operaio
* 13 Agricoltore

* Q179	E lavora nel settore: 1 pubblico/ 2 privato
* Q182	Se in famiglia esiste qualcuno che percepisce un reddito, potrebbe indicare la professione del principale percettore di reddito della sua famiglia? (lista di professioni)

* Q180	In quale delle seguenti condizioni lei si trova? inactive (1-4, 10, 11) vs unemployed (5-9), no answer 12

misstable sum Q177
misstable sum Q180

* gen employed: 1 = inactive 2 = unemployed, 3 = lower paid job(2, 4, 8, 10-13), 4 = higher paid job (Q178 labels: 1, 3, 5-7, 9; Q180 label: 11 (wealthy))
gen employed=.
replace employed=1 if Q180<5 | Q180==10
replace employed=2 if Q180>4 & Q180<10
replace employed=3 if Q177==1 & (Q178==2 | Q178==4 | Q178==8 | (Q178>9 & Q178<14))
replace employed=4 if Q177==1 & (Q178==1 | Q178==3 | Q178==9 | (Q178>4 & Q178<8))
replace employed=4 if Q180==11 /* wealthy */
table employed

* check Q_69 and Q_70 for changes in workings conditions
* Q_69	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* Q_70	Se si', in quale delle seguenti condizioni lei si trova attualmente? employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if Q_69==1 & Q_70>1 & Q_70<6
replace employed=2 if Q_69==1 & Q_70>5 & Q_70<10
* if employed I do not know if profession, hence
replace employed=. if Q_69==1 & Q_70==1
table employed

* check D081 and D082 for changes in workings conditions
* D081	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* D082	Se si', in quale delle seguenti condizioni lei si trova attualmente?  employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if D081==1 & D082>1 & D082<6
replace employed=2 if D081==1 & D082>5 & D082<10
* if employed I do not know if profession, hence
replace employed=. if D081==1 & D082==1
table employed
misstable sum employed

* Figure 1 - left panel
* Dependent variable Y1: choice of economic policy program
reg Y1 i.unemployment##i.employed i.inflation##i.employed i.taxsoc##i.employed i.euro##i.employed i.eucontrol##i.employed i.eutaxsoc##i.employed, cl(ID)

matrix b=e(b)
matrix list b

scalar b2=b[1,2]
scalar b3=b[1,3]
scalar b4=b[1,4]
scalar b6=b[1,6]
scalar b7=b[1,7]
scalar b8=b[1,8]
scalar b14=b[1,14]
scalar b15=b[1,15]
scalar b16=b[1,16]
scalar b18=b[1,18]
scalar b19=b[1,19]
scalar b20=b[1,20]
scalar b22=b[1,22]
scalar b23=b[1,23]
scalar b24=b[1,24]
scalar b26=b[1,26]
scalar b27=b[1,27]
scalar b28=b[1,28]
scalar b34=b[1,34]
scalar b35=b[1,35]
scalar b36=b[1,36]
scalar b38=b[1,38]
scalar b39=b[1,39]
scalar b40=b[1,40]
scalar b42=b[1,42]
scalar b43=b[1,43]
scalar b44=b[1,44]
scalar b46=b[1,46]
scalar b47=b[1,47]
scalar b53=b[1,53]
scalar b54=b[1,54]
scalar b55=b[1,55]
scalar b57=b[1,57]
scalar b58=b[1,58]
scalar b59=b[1,59]
scalar b61=b[1,61]
scalar b67=b[1,67]
scalar b68=b[1,68]
scalar b69=b[1,69]
scalar b71=b[1,71]
scalar b72=b[1,72]
scalar b78=b[1,78]
scalar b79=b[1,79]
scalar b80=b[1,80]
scalar b82=b[1,82]
scalar b83=b[1,83]
scalar b84=b[1,84]
scalar b86=b[1,86]
scalar b87=b[1,87]
scalar b93=b[1,93]
scalar b94=b[1,94]
scalar b95=b[1,95]
scalar b97=b[1,97]
scalar b98=b[1,98]
scalar b99=b[1,99]


matrix V=e(V)
matrix list V
scalar varb2=V[2,2]
scalar varb3=V[3,3]
scalar varb4=V[4,4]
scalar varb6=V[6,6]
scalar varb7=V[7,7]
scalar varb8=V[8,8]
scalar varb14=V[14,14]
scalar varb15=V[15,15]
scalar varb16=V[16,16]
scalar varb18=V[18,18]
scalar varb19=V[19,19]
scalar varb20=V[20,20]
scalar varb22=V[22,22]
scalar varb23=V[23,23]
scalar varb24=V[24,24]
scalar varb26=V[26,26]
scalar varb27=V[27,27]
scalar varb28=V[28,28]
scalar varb34=V[34,34]
scalar varb35=V[35,35]
scalar varb36=V[36,36]
scalar varb38=V[38,38]
scalar varb39=V[39,39]
scalar varb40=V[40,40]
scalar varb42=V[42,42]
scalar varb43=V[43,43]
scalar varb44=V[44,44]
scalar varb46=V[46,46]
scalar varb47=V[47,47]
scalar varb53=V[53,53]
scalar varb54=V[54,54]
scalar varb55=V[55,55]
scalar varb57=V[57,57]
scalar varb58=V[58,58]
scalar varb59=V[59,59]
scalar varb61=V[61,61]
scalar varb67=V[67,67]
scalar varb68=V[68,68]
scalar varb69=V[69,69]
scalar varb71=V[71,71]
scalar varb72=V[72,72]
scalar varb78=V[78,78]
scalar varb79=V[79,79]
scalar varb80=V[80,80]
scalar varb82=V[82,82]
scalar varb83=V[83,83]
scalar varb84=V[84,84]
scalar varb86=V[86,86]
scalar varb87=V[87,87]
scalar varb93=V[93,93]
scalar varb94=V[94,94]
scalar varb95=V[95,95]
scalar varb97=V[97,97]
scalar varb98=V[98,98]
scalar varb99=V[99,99]

scalar covb2b14=V[2,14]
scalar covb2b15=V[2,15]
scalar covb2b16=V[2,16]
scalar covb3b18=V[3,18]
scalar covb3b19=V[3,19]
scalar covb3b20=V[3,20]
scalar covb4b22=V[4,22]
scalar covb4b23=V[4,23]
scalar covb4b24=V[4,24]
scalar covb26b34=V[26,34]
scalar covb26b35=V[26,35]
scalar covb26b36=V[26,36]
scalar covb27b38=V[27,38]
scalar covb27b39=V[27,39]
scalar covb27b40=V[27,40]
scalar covb28b42=V[28,42]
scalar covb28b43=V[28,43]
scalar covb28b44=V[28,44]
scalar covb46b53=V[46,53]
scalar covb46b54=V[46,54]
scalar covb46b55=V[46,55]
scalar covb47b57=V[47,57]
scalar covb47b58=V[47,58]
scalar covb47b59=V[47,59]
scalar covb61b67=V[61,67]
scalar covb61b68=V[61,68]
scalar covb61b69=V[61,69]
scalar covb71b78=V[71,78]
scalar covb71b79=V[71,79]
scalar covb71b80=V[71,80]
scalar covb72b82=V[72,82]
scalar covb72b83=V[72,83]
scalar covb72b84=V[72,84]
scalar covb86b93=V[86,93]
scalar covb86b94=V[86,94]
scalar covb86b95=V[86,95]
scalar covb87b97=V[87,97]
scalar covb87b98=V[87,98]
scalar covb87b99=V[87,99]

parmest, label norestore
gen MVZ=_n
replace MVZ=. if _n>52

********   xxxnyyyn : impact of xxxn at yyyn
* une2employed1 in 21
gen beta=b2 in 21
gen ci_l = beta - 1.96*sqrt(varb2) in 21
gen ci_h = beta + 1.96*sqrt(varb2) in 21
* une2employed2 in 22
replace beta=b2 + b14 in 22
replace ci_l = beta - 1.96*sqrt(varb2 + varb14 + 2*covb2b14) in 22
replace ci_h = beta + 1.96*sqrt(varb2 + varb14 + 2*covb2b14) in 22
* une2employed3 in 23
replace beta=b2 + b15 in 23
replace ci_l = beta - 1.96*sqrt(varb2 + varb15 + 2*covb2b15) in 23
replace ci_h = beta + 1.96*sqrt(varb2 + varb15 + 2*covb2b15) in 23
* une2employed4 in 24
replace beta=b2 + b16 in 24
replace ci_l = beta - 1.96*sqrt(varb2 + varb16 + 2*covb2b16) in 24
replace ci_h = beta + 1.96*sqrt(varb2 + varb16 + 2*covb2b16) in 24
* une3employed1 in 25
replace beta=b3 in 25 
replace ci_l = beta - 1.96*sqrt(varb3) in 25
replace ci_h = beta + 1.96*sqrt(varb3) in 25
* une3employed2 in 26
replace beta=b3 + b18 in 26
replace ci_l = beta - 1.96*sqrt(varb3 + varb18 + 2*covb3b18) in 26
replace ci_h = beta + 1.96*sqrt(varb3 + varb18 + 2*covb3b18) in 26
* une3employed3 in 27
replace beta=b3 + b19 in 27
replace ci_l = beta - 1.96*sqrt(varb3 + varb19 + 2*covb3b19) in 27
replace ci_h = beta + 1.96*sqrt(varb3 + varb19 + 2*covb3b19) in 27
* une3employed4 in 28
replace beta=b3 + b20 in 28
replace ci_l = beta - 1.96*sqrt(varb3 + varb20 + 2*covb3b20) in 28
replace ci_h = beta + 1.96*sqrt(varb3 + varb20 + 2*covb3b20) in 28
* une4employed1 in 29
replace beta=b4 in 29
replace ci_l = beta - 1.96*sqrt(varb4) in 29
replace ci_h = beta + 1.96*sqrt(varb4) in 29
* une4employed2 in 30
replace beta=b4 + b22 in 30
replace ci_l = beta - 1.96*sqrt(varb4 + varb22 + 2*covb4b22) in 30
replace ci_h = beta + 1.96*sqrt(varb4 + varb22 + 2*covb4b22) in 30
* une4employed3 in 31
replace beta=b4 + b23 in 31
replace ci_l = beta - 1.96*sqrt(varb4 + varb23 + 2*covb4b23) in 31
replace ci_h = beta + 1.96*sqrt(varb4 + varb23 + 2*covb4b23) in 31
* une4employed4 in 32
replace beta=b4 + b24 in 32
replace ci_l = beta - 1.96*sqrt(varb4 + varb24 + 2*covb4b24) in 32
replace ci_h = beta + 1.96*sqrt(varb4 + varb24 + 2*covb4b24) in 32
* inf2employed1 in 13
* replace beta=b26 in 13
* replace ci_l = beta - 1.96*sqrt(varb26) in 13
* replace ci_h = beta + 1.96*sqrt(varb26) in 13
* inf2employed2 in 14
* replace beta=b26 + b34 in 14
* replace ci_l = beta - 1.96*sqrt(varb26 + varb34 + 2*covb26b34) in 14
* replace ci_h = beta + 1.96*sqrt(varb26 + varb34 + 2*covb26b34) in 14
* inf2employed3 in 15
* replace beta=b26 + b35 in 15
* replace ci_l = beta - 1.96*sqrt(varb26 + varb35 + 2*covb26b35) in 15
* replace ci_h = beta + 1.96*sqrt(varb26 + varb35 + 2*covb26b35) in 15
* inf2employed4 in 16
* replace beta=b26 + b36 in 16
* replace ci_l = beta - 1.96*sqrt(varb26 + varb36 + 2*covb26b36) in 16
* replace ci_h = beta + 1.96*sqrt(varb26 + varb36 + 2*covb26b36) in 16
* inf3employed1 in 17
* replace beta=b27 in 17
* replace ci_l = beta - 1.96*sqrt(varb27) in 17
* replace ci_h = beta + 1.96*sqrt(varb27) in 17
* inf3employed2 in 18
* replace beta=b27 + b38 in 18
* replace ci_l = beta - 1.96*sqrt(varb27 + varb38 + 2*covb27b38) in 18
* replace ci_h = beta + 1.96*sqrt(varb27 + varb38 + 2*covb27b38) in 18
* inf3employed3 in 19
* replace beta=b27 + b39 in 19
* replace ci_l = beta - 1.96*sqrt(varb27 + varb39 + 2*covb27b39) in 19
* replace ci_h = beta + 1.96*sqrt(varb27 + varb39 + 2*covb27b39) in 19
* inf3employed4 in 20
* replace beta=b27 + b40 in 20
* replace ci_l = beta - 1.96*sqrt(varb27 + varb40 + 2*covb27b40) in 20
* replace ci_h = beta + 1.96*sqrt(varb27 + varb40 + 2*covb27b40) in 20
* inf4employed1 in 21
* replace beta=b28 in 21
* replace ci_l = beta - 1.96*sqrt(varb28) in 21
* replace ci_h = beta + 1.96*sqrt(varb28) in 21
* inf4employed2 in 22
* replace beta=b28 + b42 in 22
* replace ci_l = beta - 1.96*sqrt(varb28 + varb42 + 2*covb28b42) in 22
* replace ci_h = beta + 1.96*sqrt(varb28 + varb42 + 2*covb28b42) in 22
* inf4employed3 in 23
* replace beta=b28 + b43 in 23
* replace ci_l = beta - 1.96*sqrt(varb28 + varb43 + 2*covb28b43) in 23
* replace ci_h = beta + 1.96*sqrt(varb28 + varb43 + 2*covb28b43) in 23
* inf4employed4 in 24
* replace beta=b28 + b44 in 24
* replace ci_l = beta - 1.96*sqrt(varb28 + varb44 + 2*covb28b44) in 24
* replace ci_h = beta + 1.96*sqrt(varb28 + varb44 + 2*covb28b44) in 24
* taxsoc2employed1 in 25
* replace beta=b46 in 25
* replace ci_l = beta - 1.96*sqrt(varb46) in 25
* replace ci_h = beta + 1.96*sqrt(varb46) in 25
* taxsoc2employed2 in 26
* replace beta=b46 + b53 in 26
* replace ci_l = beta - 1.96*sqrt(varb46 + varb53 + 2*covb46b53) in 26
* replace ci_h = beta + 1.96*sqrt(varb46 + varb53 + 2*covb46b53) in 26
* taxsoc2employed3 in 27
* replace beta=b46 + b54 in 27
* replace ci_l = beta - 1.96*sqrt(varb46 + varb54 + 2*covb46b54) in 27
* replace ci_h = beta + 1.96*sqrt(varb46 + varb54 + 2*covb46b54) in 27
* taxsoc2employed4 in 28
* replace beta=b46 + b55 in 28
* replace ci_l = beta - 1.96*sqrt(varb46 + varb55 + 2*covb46b55) in 28
* replace ci_h = beta + 1.96*sqrt(varb46 + varb55 + 2*covb46b55) in 28
* taxsoc3employed1 in 29
* replace beta=b47 in 29
* replace ci_l = beta - 1.96*sqrt(varb47) in 29
* replace ci_h = beta + 1.96*sqrt(varb47) in 29
* taxsoc3employed2 in 30
* replace beta=b47 + b57 in 30
* replace ci_l = beta - 1.96*sqrt(varb47 + varb57 + 2*covb47b57) in 30
* replace ci_h = beta + 1.96*sqrt(varb47 + varb57 + 2*covb47b57) in 30
* taxsoc3employed3 in 31
* replace beta=b47 + b58 in 31
* replace ci_l = beta - 1.96*sqrt(varb47 + varb58 + 2*covb47b58) in 31
* replace ci_h = beta + 1.96*sqrt(varb47 + varb58 + 2*covb47b58) in 31
* taxsoc3employed4 in 32
* replace beta=b47 + b59 in 32
* replace ci_l = beta - 1.96*sqrt(varb47 + varb59 + 2*covb47b59) in 32
* replace ci_h = beta + 1.96*sqrt(varb47 + varb59 + 2*covb47b59) in 32
* euro2employed1 in 17
replace beta=b61 in 17
replace ci_l = beta - 1.96*sqrt(varb61) in 17
replace ci_h = beta + 1.96*sqrt(varb61) in 17
* euro2employed2 in 18
replace beta=b61 + b67 in 18
replace ci_l = beta - 1.96*sqrt(varb61 + varb67 + 2*covb61b67) in 18
replace ci_h = beta + 1.96*sqrt(varb61 + varb67 + 2*covb61b67) in 18
* euro2employed3 in 19
replace beta=b61 + b68 in 19
replace ci_l = beta - 1.96*sqrt(varb61 + varb68 + 2*covb61b68) in 19
replace ci_h = beta + 1.96*sqrt(varb61 + varb68 + 2*covb61b68) in 19
* euro2employed4 in 20
replace beta=b61 + b69 in 20
replace ci_l = beta - 1.96*sqrt(varb61 + varb69 + 2*covb61b69) in 20
replace ci_h = beta + 1.96*sqrt(varb61 + varb69 + 2*covb61b69) in 20
* eucontrol2employed1 in 9
replace beta=b71 in 9
replace ci_l = beta - 1.96*sqrt(varb71) in 9
replace ci_h = beta + 1.96*sqrt(varb71) in 9
* eucontrol2employed2 in 10
replace beta=b71 + b78 in 10
replace ci_l = beta - 1.96*sqrt(varb71 + varb78 + 2*covb71b78) in 10
replace ci_h = beta + 1.96*sqrt(varb71 + varb78 + 2*covb71b78) in 10
* eucontrol2employed3 in 11
replace beta=b71 + b79 in 11
replace ci_l = beta - 1.96*sqrt(varb71 + varb79 + 2*covb71b79) in 11
replace ci_h = beta + 1.96*sqrt(varb71 + varb79 + 2*covb71b79) in 11
* eucontrol2employed4 in 12
replace beta=b71 + b80 in 12
replace ci_l = beta - 1.96*sqrt(varb71 + varb80 + 2*covb71b80) in 12
replace ci_h = beta + 1.96*sqrt(varb71 + varb80 + 2*covb71b80) in 12
* eucontrol3employed1 in 13
replace beta=b72 in 13
replace ci_l = beta - 1.96*sqrt(varb72) in 13
replace ci_h = beta + 1.96*sqrt(varb72) in 13
* eucontrol3employed2 in 14
replace beta=b72 + b82 in 14
replace ci_l = beta - 1.96*sqrt(varb72 + varb82 + 2*covb72b82) in 14
replace ci_h = beta + 1.96*sqrt(varb72 + varb82 + 2*covb72b82) in 14
* eucontrol3employed3 in 15
replace beta=b72 + b83 in 15
replace ci_l = beta - 1.96*sqrt(varb72 + varb83 + 2*covb72b83) in 15
replace ci_h = beta + 1.96*sqrt(varb72 + varb83 + 2*covb72b83) in 15
* eucontrol3employed4 in 16
replace beta=b72 + b84 in 16
replace ci_l = beta - 1.96*sqrt(varb72 + varb84 + 2*covb72b84) in 16
replace ci_h = beta + 1.96*sqrt(varb72 + varb84 + 2*covb72b84) in 16
* eutaxsoc2employed1 in 1
replace beta=b86 in 1
replace ci_l = beta - 1.96*sqrt(varb86) in 1
replace ci_h = beta + 1.96*sqrt(varb86) in 1
* eutaxsoc2employed2 in 2
replace beta=b86 + b93 in 2
replace ci_l = beta - 1.96*sqrt(varb86 + varb93 + 2*covb86b93) in 2
replace ci_h = beta + 1.96*sqrt(varb86 + varb93 + 2*covb86b93) in 2
* eutaxsoc2employed3 in 3
replace beta=b86 + b94 in 3
replace ci_l = beta - 1.96*sqrt(varb86 + varb94 + 2*covb86b94) in 3
replace ci_h = beta + 1.96*sqrt(varb86 + varb94 + 2*covb86b94) in 3
* eutaxsoc2employed4 in 4
replace beta=b86 + b95 in 4
replace ci_l = beta - 1.96*sqrt(varb86 + varb95 + 2*covb86b95) in 4
replace ci_h = beta + 1.96*sqrt(varb86 + varb95 + 2*covb86b95) in 4
* eutaxsoc3employed1 in 5
replace beta=b87 in 5
replace ci_l = beta - 1.96*sqrt(varb87) in 5
replace ci_h = beta + 1.96*sqrt(varb87) in 5
* eutaxsoc3employed2 in 6
replace beta=b87 + b97 in 6
replace ci_l = beta - 1.96*sqrt(varb87 + varb97 + 2*covb87b97) in 6
replace ci_h = beta + 1.96*sqrt(varb87 + varb97 + 2*covb87b97) in 6
* eutaxsoc3employed3 in 7
replace beta=b87 + b98 in 7
replace ci_l = beta - 1.96*sqrt(varb87 + varb98 + 2*covb87b98) in 7
replace ci_h = beta + 1.96*sqrt(varb87 + varb98 + 2*covb87b98) in 7
* eutaxsoc3employed4 in 8
replace beta=b87 + b99 in 8
replace ci_l = beta - 1.96*sqrt(varb87 + varb99 + 2*covb87b99) in 8
replace ci_h = beta + 1.96*sqrt(varb87 + varb99 + 2*covb87b99) in 8

* display only selected attribute effects
* drop in 13/32
* gen MVZ2=_n
* replace MVZ2=. if _n>32
* replace MVZ=MVZ2
* drop MVZ2

eclplot beta ci_l ci_h MVZ in 1/32, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.2 "-0.2" -.1 "-0.1" 0 "0" .1 "0.1" .2 "0.2", noticks labsize(2.5)) xtitle("Effect on Pr(Program Being Chosen)", size(2.5)) ytitle("") ///
ylabel( 21 "Unemployment 7%: inactive" 22 ": unemployed" 23 ": low income" 24 ": high income" 25 "Unemployment 3%: inactive" 26 ": unemployed" 27 ": low income" 28 ": high income" 29 "Unemployment 1%: inactive" 30 ": unemployed" 31 ": low income" 32 ": high income" ///
17 "Ditch euro: inactive" 18 ": unemployed" 19 ": low income" 20 ": high income" 9 "Less control: inactive" 10 ": unemployed" 11 ": low income" 12 ": high income" ///
13 "More control: inactive" 14 ": unemployed" 15 ": low income" 16 ": high income" 1 "Add. EU tax-spend: inactive" 2 ": unemployed" 3 ": low income" 4 ": high income" ///
5 "Alter. EU tax-spend: inactive" 6 ": unemployed" 7 ": low income" 8 ": high income" , noticks labsize(2.5)) saving(figure_1left, replace)

******************  FIGURE 2 RIGHT PANEL: FISCAL UNION CONJOINT
use dataset2.dta, clear

**** Creation of the employment status variable (employed) - updated status for the fiscal union conjoint experiment
* Q177	Lei attualmente ha un lavoro retribuito, cioe' svolge una attivita' lavorativa retribuita? 1 si/ 2 no
* Q178	Indichi la Sua attuale professione: (lista di professioni)
* 1 Imprenditore
* 2 Artigiano/ familiare coadiuvante
* 3 Commerciante
* 4 Altro lavoratore autonomo, rappresentante, agente di commercio
* 5 Libero professionista
* 6 Dirigente
* 7 Docente / Professore scuola superiore
* 8 Insegnate scuola media, elementare, materna
* 9 Quadro, direttivo, tecnico
* 10 Impiegato
* 11 Altro lavoratore dipendente
* 12 Operaio
* 13 Agricoltore

* Q179	E lavora nel settore: 1 pubblico/ 2 privato
* Q182	Se in famiglia esiste qualcuno che percepisce un reddito, potrebbe indicare la professione del principale percettore di reddito della sua famiglia? (lista di professioni)

* Q180	In quale delle seguenti condizioni lei si trova? inactive (1-4, 10, 11) vs unemployed (5-9), no answer 12

misstable sum Q177
misstable sum Q180

* gen employed: 1 = inactive 2 = unemployed, 3 = lower paid job (Q178 labels: 2, 4, 8, 10-13), 4 = higher paid job (Q178 labels: 1, 3, 5-7, 9; Q180-Q184_W3_2015 label: 11 (wealthy))
gen employed=.
replace employed=1 if Q180<5 | Q180==10
replace employed=2 if Q180>4 & Q180<10
replace employed=3 if Q177==1 & (Q178==2 | Q178==4 | Q178==8 | (Q178>9 & Q178<14))
replace employed=4 if Q177==1 & (Q178==1 | Q178==3 | Q178==9 | (Q178>4 & Q178<8))
replace employed=4 if Q180==11 /* wealthy */
table employed

* check Q_69 and Q_70 for changes in workings conditions
* Q_69	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* Q_70	Se si', in quale delle seguenti condizioni lei si trova attualmente? employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if Q_69==1 & Q_70>1 & Q_70<6
replace employed=2 if Q_69==1 & Q_70>5 & Q_70<10
* if employed I do not know if profession, hence
replace employed=. if Q_69==1 & Q_70==1
table employed

* check D081 and D082 for changes in workings conditions
* D081	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* D082	Se si', in quale delle seguenti condizioni lei si trova attualmente?  employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if D081==1 & D082>1 & D082<6
replace employed=2 if D081==1 & D082>5 & D082<10
* if employed I do not know if profession, hence
replace employed=. if D081==1 & D082==1
table employed

* Q180_W3_2015 Lei attualmente ha un lavoro retribuito, cioe' svolge una attivita' lavorativa retribuita? 1 si/ 2 no
* Q181_W3_2015 Indichi la Sua attuale professione
* Q184_W3_2015 In quale delle seguenti condizioni Lei si trova? inactive (1-4, 10) vs unemployed (5-9), no answer 12
* employed: 1 = inactive 2 = unemployed, 3 = lower paid job(2, 4, 8, 10-13), 4 = higher paid job (1, 3, 5-7, 9, 11 (wealthy))
replace employed=1 if Q184_W3_2015<5 | Q184_W3_2015==10
replace employed=2 if Q184_W3_2015>4 & Q184_W3_2015<10
replace employed=3 if Q180_W3_2015==1 & (Q181_W3_2015==2 | Q181_W3_2015==4 | Q181_W3_2015==8 | (Q181_W3_2015>9 & Q181_W3_2015<14))
replace employed=4 if Q180_W3_2015==1 & (Q181_W3_2015==1 | Q181_W3_2015==3 | Q181_W3_2015==9 | (Q181_W3_2015>4 & Q181_W3_2015<8))
replace employed=4 if Q184_W3_2015==11 /* wealthy */
table employed
misstable sum employed

* Figure 1 - right panel panel
* Dependent variable FU1: choice of fiscal union
reg FU1 i.taxrate##i.employed i.taxtype##i.employed i.spend##i.employed i.spendtype##i.employed i.spendinst##i.employed i.contrinst##i.employed, cl(ID)
matrix b=e(b)
matrix list b

scalar b2=b[1,2]
scalar b3=b[1,3]
scalar b4=b[1,4]
scalar b6=b[1,6]
scalar b7=b[1,7]
scalar b8=b[1,8]
scalar b14=b[1,14]
scalar b15=b[1,15]
scalar b16=b[1,16]
scalar b18=b[1,18]
scalar b19=b[1,19]
scalar b20=b[1,20]
scalar b22=b[1,22]
scalar b23=b[1,23]
scalar b24=b[1,24]
scalar b26=b[1,26]
scalar b32=b[1,32]
scalar b33=b[1,33]
scalar b34=b[1,34]
scalar b36=b[1,36]
scalar b37=b[1,37]
scalar b38=b[1,38]
scalar b39=b[1,39]
scalar b45=b[1,45]
scalar b46=b[1,46]
scalar b47=b[1,47]
scalar b49=b[1,49]
scalar b50=b[1,50]
scalar b51=b[1,51]
scalar b53=b[1,53]
scalar b54=b[1,54]
scalar b55=b[1,55]
scalar b57=b[1,57]
scalar b58=b[1,58]
scalar b59=b[1,59]
scalar b61=b[1,61]
scalar b67=b[1,67]
scalar b68=b[1,68]
scalar b69=b[1,69]
scalar b71=b[1,71]
scalar b77=b[1,77]
scalar b78=b[1,78]
scalar b79=b[1,79]
scalar b81=b[1,81]
scalar b82=b[1,82]
scalar b88=b[1,88]
scalar b89=b[1,89]
scalar b90=b[1,90]
scalar b92=b[1,92]
scalar b93=b[1,93]
scalar b94=b[1,94]


matrix V=e(V)
matrix list V
scalar varb2=V[2,2]
scalar varb3=V[3,3]
scalar varb4=V[4,4]
scalar varb6=V[6,6]
scalar varb7=V[7,7]
scalar varb8=V[8,8]
scalar varb14=V[14,14]
scalar varb15=V[15,15]
scalar varb16=V[16,16]
scalar varb18=V[18,18]
scalar varb19=V[19,19]
scalar varb20=V[20,20]
scalar varb22=V[22,22]
scalar varb23=V[23,23]
scalar varb24=V[24,24]
scalar varb26=V[26,26]
scalar varb32=V[32,32]
scalar varb33=V[33,33]
scalar varb34=V[34,34]
scalar varb36=V[36,36]
scalar varb37=V[37,37]
scalar varb38=V[38,38]
scalar varb39=V[39,39]
scalar varb45=V[45,45]
scalar varb46=V[46,46]
scalar varb47=V[47,47]
scalar varb49=V[49,49]
scalar varb50=V[50,50]
scalar varb51=V[51,51]
scalar varb53=V[53,53]
scalar varb54=V[54,54]
scalar varb55=V[55,55]
scalar varb57=V[57,57]
scalar varb58=V[58,58]
scalar varb59=V[59,59]
scalar varb61=V[61,61]
scalar varb67=V[67,67]
scalar varb68=V[68,68]
scalar varb69=V[69,69]
scalar varb71=V[71,71]
scalar varb77=V[77,77]
scalar varb78=V[78,78]
scalar varb79=V[79,79]
scalar varb81=V[81,81]
scalar varb82=V[82,82]
scalar varb88=V[88,88]
scalar varb89=V[89,89]
scalar varb90=V[90,90]
scalar varb92=V[92,92]
scalar varb93=V[93,93]
scalar varb94=V[94,94]

scalar covb2b14=V[2,14]
scalar covb2b15=V[2,15]
scalar covb2b16=V[2,16]
scalar covb3b18=V[3,18]
scalar covb3b19=V[3,19]
scalar covb3b20=V[3,20]
scalar covb4b22=V[4,22]
scalar covb4b23=V[4,23]
scalar covb4b24=V[4,24]
scalar covb26b32=V[26,32]
scalar covb26b33=V[26,33]
scalar covb26b34=V[26,34]
scalar covb36b45=V[36,45]
scalar covb36b46=V[36,46]
scalar covb36b47=V[36,47]
scalar covb37b49=V[37,49]
scalar covb37b50=V[37,50]
scalar covb37b51=V[37,51]
scalar covb38b53=V[38,53]
scalar covb38b54=V[38,54]
scalar covb38b55=V[38,55]
scalar covb39b57=V[39,57]
scalar covb39b58=V[39,58]
scalar covb39b59=V[39,59]
scalar covb61b67=V[61,67]
scalar covb61b68=V[61,68]
scalar covb61b69=V[61,69]
scalar covb71b77=V[71,77]
scalar covb71b78=V[71,78]
scalar covb71b79=V[71,79]
scalar covb81b88=V[81,88]
scalar covb81b89=V[81,89]
scalar covb81b90=V[81,90]
scalar covb82b92=V[82,92]
scalar covb82b93=V[82,93]
scalar covb82b94=V[82,94]

parmest, label norestore
gen MVZ=_n
replace MVZ=. if _n>48

********   xxxnyyyn : impact of xxxn at yyyn
* tax2employed1 in 1
gen beta=b2 in 1
gen ci_l = beta - 1.96*sqrt(varb2) in 1
gen ci_h = beta + 1.96*sqrt(varb2) in 1
* tax2employed2 in 2
replace beta=b2 + b14 in 2
replace ci_l = beta - 1.96*sqrt(varb2 + varb14 + 2*covb2b14) in 2
replace ci_h = beta + 1.96*sqrt(varb2 + varb14 + 2*covb2b14) in 2
* tax2employed3 in 3
replace beta=b2 + b15 in 3
replace ci_l = beta - 1.96*sqrt(varb2 + varb15 + 2*covb2b15) in 3
replace ci_h = beta + 1.96*sqrt(varb2 + varb15 + 2*covb2b15) in 3
* tax2employed4 in 4
replace beta=b2 + b16 in 4
replace ci_l = beta - 1.96*sqrt(varb2 + varb16 + 2*covb2b16) in 4
replace ci_h = beta + 1.96*sqrt(varb2 + varb16 + 2*covb2b16) in 4
* tax3employed1 in 5
replace beta=b3 in 5 
replace ci_l = beta - 1.96*sqrt(varb3) in 5
replace ci_h = beta + 1.96*sqrt(varb3) in 5
* tax3employed2 in 6
replace beta=b3 + b18 in 6
replace ci_l = beta - 1.96*sqrt(varb3 + varb18 + 2*covb3b18) in 6
replace ci_h = beta + 1.96*sqrt(varb3 + varb18 + 2*covb3b18) in 6
* tax3employed3 in 7
replace beta=b3 + b19 in 7
replace ci_l = beta - 1.96*sqrt(varb3 + varb19 + 2*covb3b19) in 7
replace ci_h = beta + 1.96*sqrt(varb3 + varb19 + 2*covb3b19) in 7
* tax3employed4 in 8
replace beta=b3 + b20 in 8
replace ci_l = beta - 1.96*sqrt(varb3 + varb20 + 2*covb3b20) in 8
replace ci_h = beta + 1.96*sqrt(varb3 + varb20 + 2*covb3b20) in 8
* tax4employed1 in 9
replace beta=b4 in 9
replace ci_l = beta - 1.96*sqrt(varb4) in 9
replace ci_h = beta + 1.96*sqrt(varb4) in 9
* tax4employed2 in 10
replace beta=b4 + b22 in 10
replace ci_l = beta - 1.96*sqrt(varb4 + varb22 + 2*covb4b22) in 10
replace ci_h = beta + 1.96*sqrt(varb4 + varb22 + 2*covb4b22) in 10
* tax4employed3 in 11
replace beta=b4 + b23 in 11
replace ci_l = beta - 1.96*sqrt(varb4 + varb23 + 2*covb4b23) in 11
replace ci_h = beta + 1.96*sqrt(varb4 + varb23 + 2*covb4b23) in 11
* tax4employed4 in 12
replace beta=b4 + b24 in 12
replace ci_l = beta - 1.96*sqrt(varb4 + varb24 + 2*covb4b24) in 12
replace ci_h = beta + 1.96*sqrt(varb4 + varb24 + 2*covb4b24) in 12
* taxtype2employed1 in 13
replace beta=b26 in 13
replace ci_l = beta - 1.96*sqrt(varb26) in 13
replace ci_h = beta + 1.96*sqrt(varb26) in 13
* taxtype2employed2 in 14
replace beta=b26 + b32 in 14
replace ci_l = beta - 1.96*sqrt(varb26 + varb32 + 2*covb26b32) in 14
replace ci_h = beta + 1.96*sqrt(varb26 + varb32 + 2*covb26b32) in 14
* taxtype2employed3 in 15
replace beta=b26 + b33 in 15
replace ci_l = beta - 1.96*sqrt(varb26 + varb33 + 2*covb26b33) in 15
replace ci_h = beta + 1.96*sqrt(varb26 + varb33 + 2*covb26b33) in 15
* taxtype2employed4 in 16
replace beta=b26 + b34 in 16
replace ci_l = beta - 1.96*sqrt(varb26 + varb34 + 2*covb26b34) in 16
replace ci_h = beta + 1.96*sqrt(varb26 + varb34 + 2*covb26b34) in 16
* spend2employed1 in 17
replace beta=b36 in 17
replace ci_l = beta - 1.96*sqrt(varb36) in 17
replace ci_h = beta + 1.96*sqrt(varb36) in 17
* spend2employed2 in 18
replace beta=b36 + b45 in 18
replace ci_l = beta - 1.96*sqrt(varb36 + varb45 + 2*covb36b45) in 18
replace ci_h = beta + 1.96*sqrt(varb36 + varb45 + 2*covb36b45) in 18
* spend2employed3 in 19
replace beta=b36 + b46 in 19
replace ci_l = beta - 1.96*sqrt(varb36 + varb46 + 2*covb36b46) in 19
replace ci_h = beta + 1.96*sqrt(varb36 + varb46 + 2*covb36b46) in 19
* spend2employed4 in 20
replace beta=b36 + b47 in 20
replace ci_l = beta - 1.96*sqrt(varb36 + varb47 + 2*covb36b47) in 20
replace ci_h = beta + 1.96*sqrt(varb36 + varb47 + 2*covb36b47) in 20
* spend3employed1 in 21
replace beta=b37 in 21
replace ci_l = beta - 1.96*sqrt(varb37) in 21
replace ci_h = beta + 1.96*sqrt(varb37) in 21
* spend3employed2 in 22
replace beta=b37 + b49 in 22
replace ci_l = beta - 1.96*sqrt(varb37 + varb49 + 2*covb37b49) in 22
replace ci_h = beta + 1.96*sqrt(varb37 + varb49 + 2*covb37b49) in 22
* spend3employed3 in 23
replace beta=b37 + b50 in 23
replace ci_l = beta - 1.96*sqrt(varb37 + varb50 + 2*covb37b50) in 23
replace ci_h = beta + 1.96*sqrt(varb37 + varb50 + 2*covb37b50) in 23
* spend3employed4 in 24
replace beta=b37 + b51 in 24
replace ci_l = beta - 1.96*sqrt(varb37 + varb51 + 2*covb37b51) in 24
replace ci_h = beta + 1.96*sqrt(varb37 + varb51 + 2*covb37b51) in 24
* spend4employed1 in 25
replace beta=b38 in 25
replace ci_l = beta - 1.96*sqrt(varb38) in 25
replace ci_h = beta + 1.96*sqrt(varb38) in 25
* spend4employed2 in 26
replace beta=b38 + b53 in 26
replace ci_l = beta - 1.96*sqrt(varb38 + varb53 + 2*covb38b53) in 26
replace ci_h = beta + 1.96*sqrt(varb38 + varb53 + 2*covb38b53) in 26
* spend4employed3 in 27
replace beta=b38 + b54 in 27
replace ci_l = beta - 1.96*sqrt(varb38 + varb54 + 2*covb38b54) in 27
replace ci_h = beta + 1.96*sqrt(varb38 + varb54 + 2*covb38b54) in 27
* spend4employed4 in 28
replace beta=b38 + b55 in 28
replace ci_l = beta - 1.96*sqrt(varb38 + varb55 + 2*covb38b55) in 28
replace ci_h = beta + 1.96*sqrt(varb38 + varb55 + 2*covb38b55) in 28
* spend5employed1 in 29
replace beta=b39 in 29
replace ci_l = beta - 1.96*sqrt(varb39) in 29
replace ci_h = beta + 1.96*sqrt(varb39) in 29
* spend5employed2 in 30
replace beta=b39 + b57 in 30
replace ci_l = beta - 1.96*sqrt(varb39 + varb57 + 2*covb39b57) in 30
replace ci_h = beta + 1.96*sqrt(varb39 + varb57 + 2*covb39b57) in 30
* spend5employed3 in 31
replace beta=b39 + b58 in 31
replace ci_l = beta - 1.96*sqrt(varb39 + varb58 + 2*covb39b58) in 31
replace ci_h = beta + 1.96*sqrt(varb39 + varb58 + 2*covb39b58) in 31
* spend5employed4 in 32
replace beta=b39 + b59 in 32
replace ci_l = beta - 1.96*sqrt(varb39 + varb59 + 2*covb39b59) in 32
replace ci_h = beta + 1.96*sqrt(varb39 + varb59 + 2*covb39b59) in 32
* spendtype2employed1 in 33
replace beta=b61 in 33
replace ci_l = beta - 1.96*sqrt(varb61) in 33
replace ci_h = beta + 1.96*sqrt(varb61) in 33
* spendtype2employed2 in 34
replace beta=b61 + b67 in 34
replace ci_l = beta - 1.96*sqrt(varb61 + varb67 + 2*covb61b67) in 34
replace ci_h = beta + 1.96*sqrt(varb61 + varb67 + 2*covb61b67) in 34
* spendtype2employed3 in 35
replace beta=b61 + b68 in 35
replace ci_l = beta - 1.96*sqrt(varb61 + varb68 + 2*covb61b68) in 35
replace ci_h = beta + 1.96*sqrt(varb61 + varb68 + 2*covb61b68) in 35
* spendtype2employed4 in 36
replace beta=b61 + b69 in 36
replace ci_l = beta - 1.96*sqrt(varb61 + varb69 + 2*covb61b69) in 36
replace ci_h = beta + 1.96*sqrt(varb61 + varb69 + 2*covb61b69) in 36
* spendinst2employed1 in 37
replace beta=b71 in 37
replace ci_l = beta - 1.96*sqrt(varb71) in 37
replace ci_h = beta + 1.96*sqrt(varb71) in 37
* spendinst2employed2 in 38
replace beta=b71 + b77 in 38
replace ci_l = beta - 1.96*sqrt(varb71 + varb77 + 2*covb71b77) in 38
replace ci_h = beta + 1.96*sqrt(varb71 + varb77 + 2*covb71b77) in 38
* spendinst2employed3 in 39
replace beta=b71 + b78 in 39
replace ci_l = beta - 1.96*sqrt(varb71 + varb78 + 2*covb71b78) in 39
replace ci_h = beta + 1.96*sqrt(varb71 + varb78 + 2*covb71b78) in 39
* spendinst2employed4 in 40
replace beta=b71 + b79 in 40
replace ci_l = beta - 1.96*sqrt(varb71 + varb79 + 2*covb71b79) in 40
replace ci_h = beta + 1.96*sqrt(varb71 + varb79 + 2*covb71b79) in 40
* contrinst2employed1 in 41
replace beta=b81 in 41
replace ci_l = beta - 1.96*sqrt(varb81) in 41
replace ci_h = beta + 1.96*sqrt(varb81) in 41
* contrinst2employed2 in 42
replace beta=b81 + b88 in 42
replace ci_l = beta - 1.96*sqrt(varb81 + varb88 + 2*covb81b88) in 42
replace ci_h = beta + 1.96*sqrt(varb81 + varb88 + 2*covb81b88) in 42
* contrinst2employed3 in 43
replace beta=b81 + b89 in 43
replace ci_l = beta - 1.96*sqrt(varb81 + varb89 + 2*covb81b89) in 43
replace ci_h = beta + 1.96*sqrt(varb81 + varb89 + 2*covb81b89) in 43
* contrinst2employed4 in 44
replace beta=b81 + b90 in 44
replace ci_l = beta - 1.96*sqrt(varb81 + varb90 + 2*covb81b90) in 44
replace ci_h = beta + 1.96*sqrt(varb81 + varb90 + 2*covb81b90) in 44
* contrinst3employed1 in 45
replace beta=b82 in 45
replace ci_l = beta - 1.96*sqrt(varb82) in 45
replace ci_h = beta + 1.96*sqrt(varb82) in 45
* contrinst3employed2 in 46
replace beta=b82 + b92 in 46
replace ci_l = beta - 1.96*sqrt(varb82 + varb92 + 2*covb82b92) in 46
replace ci_h = beta + 1.96*sqrt(varb82 + varb92 + 2*covb82b92) in 46
* contrinst3employed3 in 47
replace beta=b82 + b93 in 47
replace ci_l = beta - 1.96*sqrt(varb82 + varb93 + 2*covb82b93) in 47
replace ci_h = beta + 1.96*sqrt(varb82 + varb93 + 2*covb82b93) in 47
* contrinst3employed4 in 48
replace beta=b82 + b94 in 48
replace ci_l = beta - 1.96*sqrt(varb82 + varb94 + 2*covb82b94) in 48
replace ci_h = beta + 1.96*sqrt(varb82 + varb94 + 2*covb82b94) in 48

* display only selected attribute effects
drop in 17/48
gen MVZ2=_n
replace MVZ2=. if _n>16
replace MVZ=MVZ2
drop MVZ2

eclplot beta ci_l ci_h MVZ in 1/48, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.2 "-0.2" -.1 "-0.1" 0 "0" .1 "0.1", noticks labsize(2.5)) xtitle("Effect on Pr(Fiscal Union Being Chosen)", size(2.5)) ytitle("") ///
ylabel( 1 "Tax rate 3‰: inactive" 2 ": unemployed" 3 ": low income" 4 ": high income" 5 "Tax rate 5‰: inactive" 6 ": unemployed" 7 ": low income" 8 ": high income" 9 "Tax rate 10‰: inactive" 10 ": unemployed" 11 ": low income" 12 ": high income" ///
13 "Additional tax: inactive" 14 ": unemployed" 15 ": low income" 16 ": high income" , noticks labsize(2.5)) saving(figure_1right, replace)

**** FIGURE 1

graph combine figure_1left.gph figure_1right.gph, col(2) graphregion(fcolor(white)) saving(figure_1, replace)
