version 12.1

* FIGURE S12 Effects of Selected Fiscal Union Tax Rates on Probability of Being Selected by Interpersonal Trust
use dataset2.dta, clear

****** Interpersonal trust
* Q010_W3_2015 A Suo parere ci si puo' fidare della maggior parte delle persone, o e' bene essere cauti nell'avere a che fare con la gente?Esprima la sua opinione in una scala da 1 a 7, dove 1 significa 'E' bene essere cauti' e 7 significa'Ci si puo' fidare'.
* do not know
drop if Q010_W3_2015==8
rename Q010_W3_2015 trust

reg FU1 i.taxrate i.taxtype i.spend i.spendtype i.spendinst i.contrinst ///
i.taxrate##c.trust i.taxtype##c.trust i.spend##c.trust i.spendtype##c.trust i.spendinst##c.trust i.contrinst##c.trust, cl(ID)
estimates save m1.ster, replace

**********   TAXRATE
* Taxrate at 5‰
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b43, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
local a=1 
while `a' <= 7 {
{
generate x_betahat0 = MG_b1 
generate x_betahat1 = MG_b3 + MG_b22*(`a')
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
}
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
local a=`a'+ 0.1
display "." _c 
} 
display ""
postclose mypost
use sim.dta, clear
gen MV = _n
eclplot diff_hat diff_hi diff_lo MV, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xsca(noline) ytitle(" ", size(2)) xtitle("Interpersonal trust", size(2)) ///
xlabel(1 "low" 31 "middle" 61 "high", labsize(2)) ylabel(-.06 "-0.06" -.04 "-0.04" -.02 "-0.02" 0 "0" .02 "0.02", labsize(2)) title("Tax rate 5‰", size(2)) ///
yline(0, lcolor(black) lwidth(medthin)) saving(fig_S12left, replace)

* Taxrate at 10‰
restore, not
estimates use m1.ster
est des
preserve
drawnorm MG_b1-MG_b43, n(10000) means(e(b)) cov(e(V)) clear seed(1)
postutil clear
postfile mypost prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi using sim.dta, replace
noisily display "start"
local a=1 
while `a' <= 7 {
{
generate x_betahat0 = MG_b1 
generate x_betahat1 = MG_b4 + MG_b23*(`a')
gen prob0=normal(x_betahat0)
gen prob1=normal(x_betahat1)
gen diff=prob1-prob0
egen probhat0=mean(prob0)
egen probhat1=mean(prob1)
egen diffhat=mean(diff)
tempname prob_hat0 lo0 hi0 prob_hat1 lo1 hi1 diff_hat diff_lo diff_hi   
_pctile prob0, p(2.5,97.5) 
scalar `lo0' = r(r1)
scalar `hi0' = r(r2)  
_pctile prob1, p(2.5,97.5)
scalar `lo1'= r(r1)
scalar `hi1'= r(r2)  
_pctile diff, p(2.5,97.5)
scalar `diff_lo'= r(r1)
scalar `diff_hi'= r(r2)  
scalar `prob_hat0'=probhat0
scalar `prob_hat1'=probhat1
scalar `diff_hat'=diffhat
post mypost (`prob_hat0') (`lo0') (`hi0') (`prob_hat1') (`lo1') (`hi1') (`diff_hat') (`diff_lo') (`diff_hi')
}
drop x_betahat0 x_betahat1 prob0 prob1 diff probhat0 probhat1 diffhat 
local a=`a'+ 0.1
display "." _c 
} 
display ""
postclose mypost
use sim.dta, clear
gen MV = _n
eclplot diff_hat diff_hi diff_lo MV, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) ysca(noline) xsca(noline) ytitle(" ", size(2)) xtitle("Interpersonal trust", size(2)) ///
xlabel(1 "low" 31 "middle" 61 "high", labsize(2)) ylabel(-.08 "-0.08" -.06 "-0.06" -.04 "-0.04" -.02 "-0.02" 0 "0", labsize(2)) title("Tax rate 10‰", size(2)) ///
yline(0, lcolor(black) lwidth(medthin)) saving(fig_S12right, replace)

clear all
restore, not

*****  Combine graphs

graph combine fig_S12left.gph fig_S12right.gph, col(2) graphregion(fcolor(white)) imargin(0 0 0 0) saving(figure_s12, replace)




