version 14

* FIGURE S5 Effects of Attributes on the Probability of an Economic Policy Program and a Fiscal Union Scheme Being Chosen
* Left panel - Economic policy conjoint
use dataset2.dta, clear
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc, cl(ID)
parmest, label norestore
drop in 20
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/19, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.15 "-0.15" -.1 "-0.1" -.05 "-0.05" 0 "0" .05 "0.05" .1 "0.1" .15 "0.15", noticks labsize(2)) xtitle("Effect on Pr(Program Being Chosen)", size(2)) ytitle("") ///
text(0.5 -0.2 "{it:Unemployment:}", place(c) just(center) size(2)) ///
text(4.5 -0.2 "{it:Inflation:}", place(c) just(center) size(2)) ///
text(8.5 -0.2 "{it:Tax-spend:}", place(c) just(center) size(2)) ///
text(11.5 -0.2 "{it:Euro:}", place(c) just(center) size(2)) ///
text(13.5 -0.2 "{it:Budget control:}", place(c) just(center) size(2)) ///
text(16.5 -0.2 "{it: EU tax-spend:}", place(c) just(center) size(2)) ///
ylabel(1 "13%" 2 "7%" 3 "3%" 4 "1%" 5 "0.5%" 6 "2%" 7 "5%" 8 "8%" ///
9 "Adequate" 10 "Less" 11 "More" ///
12 "Keep it" 13 "Ditch it" 14 "Adequate" 15 "Less" 16 "More" ///
17 "Against" 18 "Additional" 19 "Alternate", noticks labsize(2)) saving(figure_s5left,replace)

* Right panel - Fiscal union conjoint
use dataset2.dta, clear
reg FU1 i.taxrate i.taxtype i.spend i.spendtype i.spendinst i.contrinst, cl(ID)
parmest, label norestore
drop in 19
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/18, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-0.15 "-0.15" -.1 "-.1" -.05 "-0.05" 0 "0", noticks labsize(2)) xtitle("Effect on Pr(Fiscal Union Being Chosen)", size(2)) ytitle("") ///
text(0.5 -0.2 "{it:Income tax rate:}", place(c) just(center) size(2)) ///
text(4.5 -0.2 "{it:Tax type:}", place(c) just(center) size(2)) ///
text(6.5 -0.2 "{it:Spending destination:}", place(c) just(center) size(2)) ///
text(11.5 -0.2 "{it:Spending type:}", place(c) just(center) size(2)) ///
text(13.5 -0.2 "{it:Spending institution:}", place(c) just(center) size(2)) ///
text(15.5 -0.2 "{it:Auditing institution:}", place(c) just(center) size(2)) ///
ylabel(1 "1‰" 2 "3‰" 3 "5‰" 4 "10‰" 5 "Alternate" 6 "Additional" 7 "Health" 8 "Unemployment" 9 "Education" ///
10 "Infrastructure" 11 "Not earmarked" 12 "Alternate" 13 "Additional"  ///
14 "Eu. Commission" 15 "Government" 16 "Eu. Auditors Court" 17 "Eu. Commission"  ///
18 "It. Auditors Court", noticks labsize(2)) saving(figure_s5right,replace)

graph combine figure_s5left.gph figure_s5right.gph, col(2) graphregion(fcolor(white)) saving(figure_s5, replace)
