version 14

* FIGURE S6 Economic Policy Conjoint Analysis: Diagnostic Tests for Framing Effects
* Carryover effects
use dataset2.dta, clear
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc if programme==1 | programme==2, cl(ID)
parmest, label norestore
drop in 20
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/19, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.15 "-0.15" -.05 "-0.05" 0 "0" .05 "0.05" .15 "0.15", noticks labsize(2)) xtitle("Effect on Pr(Program Chosen)", size(2)) ytitle("") ///
title("Task 1", size(2)) ytitle("") ///
text(0.5 -0.3 "{it:Unemployment:}", place(c) just(center) size(2)) ///
text(4.5 -0.3 "{it:Inflation:}", place(c) just(center) size(2)) ///
text(8.5 -0.3 "{it:Tax-spend:}", place(c) just(center) size(2)) ///
text(11.5 -0.3 "{it:Euro:}", place(c) just(center) size(2)) ///
text(13.5 -0.3 "{it:Budget control:}", place(c) just(center) size(2)) ///
text(16.5 -0.3 "{it: EU tax-spend:}", place(c) just(center) size(2)) ///
ylabel(1 "13%" 2 "7%" 3 "3%" 4 "1%" 5 "0.5%" 6 "2%" 7 "5%" 8 "8%" ///
9 "Adequate" 10 "Less" 11 "More" ///
12 "Keep it" 13 "Ditch it" 14 "Adequate" 15 "Less" 16 "More" ///
17 "Against" 18 "Additional" 19 "Alternate", noticks labsize(2)) saving(p_task1econ,replace)

use dataset2.dta, clear
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc if  programme==3 | programme==4, cl(ID)
parmest, label norestore
drop in 20
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/19, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.15 "-0.15" -.05 "-0.05" 0 "0" .05 "0.05" .15 "0.15", noticks labsize(2)) xtitle("Effect on Pr(Program Chosen)", size(2)) ytitle("") ///
title("Task 2", size(2)) ytitle("") ///
text(0.5 -0.3 "{it:Unemployment:}", place(c) just(center) size(2)) ///
text(4.5 -0.3 "{it:Inflation:}", place(c) just(center) size(2)) ///
text(8.5 -0.3 "{it:Tax-spend:}", place(c) just(center) size(2)) ///
text(11.5 -0.3 "{it:Euro:}", place(c) just(center) size(2)) ///
text(13.5 -0.3 "{it:Budget control:}", place(c) just(center) size(2)) ///
text(16.5 -0.3 "{it: EU tax-spend:}", place(c) just(center) size(2)) ///
ylabel(1 "13%" 2 "7%" 3 "3%" 4 "1%" 5 "0.5%" 6 "2%" 7 "5%" 8 "8%" ///
9 "Adequate" 10 "Less" 11 "More" ///
12 "Keep it" 13 "Ditch it" 14 "Adequate" 15 "Less" 16 "More" ///
17 "Against" 18 "Additional" 19 "Alternate", noticks labsize(2)) saving(p_task2econ,replace)

* Profile order effects
use dataset2.dta, clear
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc if programme==1 | programme==3, cl(ID)
parmest, label norestore
drop in 20
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/19, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.15 "-0.15" -.05 "-0.05" 0 "0" .05 "0.05" .15 "0.15", noticks labsize(2)) xtitle("Effect on Pr(Program Chosen)", size(2)) ytitle("") ///
title("Order 1", size(2)) ytitle("") ///
text(0.5 -0.3 "{it:Unemployment:}", place(c) just(center) size(2)) ///
text(4.5 -0.3 "{it:Inflation:}", place(c) just(center) size(2)) ///
text(8.5 -0.3 "{it:Tax-spend:}", place(c) just(center) size(2)) ///
text(11.5 -0.3 "{it:Euro:}", place(c) just(center) size(2)) ///
text(13.5 -0.3 "{it:Budget control:}", place(c) just(center) size(2)) ///
text(16.5 -0.3 "{it: EU tax-spend:}", place(c) just(center) size(2)) ///
ylabel(1 "13%" 2 "7%" 3 "3%" 4 "1%" 5 "0.5%" 6 "2%" 7 "5%" 8 "8%" ///
9 "Adequate" 10 "Less" 11 "More" ///
12 "Keep it" 13 "Ditch it" 14 "Adequate" 15 "Less" 16 "More" ///
17 "Against" 18 "Additional" 19 "Alternate", noticks labsize(2)) saving(p_order1econ,replace)

use dataset2.dta, clear
reg Y1 i.unemployment i.inflation i.taxsoc i.euro i.eucontrol i.eutaxsoc if programme==2 | programme==4, cl(ID)
parmest, label norestore
drop in 20
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/19, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-.15 "-0.15" -.05 "-0.05" 0 "0" .05 "0.05" .15 "0.15", noticks labsize(2)) xtitle("Effect on Pr(Program Chosen)", size(2)) ytitle("") ///
title("Order 2", size(2)) ytitle("") ///
text(0.5 -0.3 "{it:Unemployment:}", place(c) just(center) size(2)) ///
text(4.5 -0.3 "{it:Inflation:}", place(c) just(center) size(2)) ///
text(8.5 -0.3 "{it:Tax-spend:}", place(c) just(center) size(2)) ///
text(11.5 -0.3 "{it:Euro:}", place(c) just(center) size(2)) ///
text(13.5 -0.3 "{it:Budget control:}", place(c) just(center) size(2)) ///
text(16.5 -0.3 "{it: EU tax-spend:}", place(c) just(center) size(2)) ///
ylabel(1 "13%" 2 "7%" 3 "3%" 4 "1%" 5 "0.5%" 6 "2%" 7 "5%" 8 "8%" ///
9 "Adequate" 10 "Less" 11 "More" ///
12 "Keep it" 13 "Ditch it" 14 "Adequate" 15 "Less" 16 "More" ///
17 "Against" 18 "Additional" 19 "Alternate", noticks labsize(2)) saving(p_order2econ,replace)

graph combine p_task1econ.gph p_task2econ.gph p_order1econ.gph p_order2econ.gph, col(4) graphregion(fcolor(white)) saving(figure_s6, replace)
