version 14

* FIGURE S7 Fiscal Union Conjoint Analysis: Diagnostic Tests for Framing Effects
* Carryover effects
use dataset2.dta, clear
reg FU1 i.taxrate i.taxtype i.spend i.spendtype i.spendinst i.contrinst if union==1 | union==2, cl(ID)
parmest, label norestore
drop in 19
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/18, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-0.15 "-0.15" -.1 "-.1" -.05 "-0.05" 0 "0", noticks labsize(2)) xtitle("Effect on Pr(Scheme Chosen)", size(2)) ytitle("") ///
title("Task 1", size(2)) ytitle("") ///
text(0.5 -0.3 "{it:Income tax rate:}", place(c) just(center) size(2)) ///
text(4.5 -0.3 "{it:Tax type:}", place(c) just(center) size(2)) ///
text(6.5 -0.3 "{it:Spending destination:}", place(c) just(center) size(2)) ///
text(11.5 -0.3 "{it:Spending type:}", place(c) just(center) size(2)) ///
text(13.5 -0.3 "{it:Spending institution:}", place(c) just(center) size(2)) ///
text(15.5 -0.3 "{it:Auditing institution:}", place(c) just(center) size(2)) ///
ylabel(1 "1‰" 2 "3‰" 3 "5‰" 4 "10‰" 5 "Alternate" 6 "Additional" 7 "Health" 8 "Unemployment" 9 "Education" ///
10 "Infrastructure" 11 "Not earmarked" 12 "Alternate" 13 "Additional"  ///
14 "Eu. Commission" 15 "Government" 16 "Eu. Auditors Court" 17 "Eu. Commission"  ///
18 "It. Auditors Court", noticks labsize(2)) saving(p_task1fu,replace)

use dataset2.dta, clear
reg FU1 i.taxrate i.taxtype i.spend i.spendtype i.spendinst i.contrinst if union==3 | union==4, cl(ID)
parmest, label norestore
drop in 19
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/18, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-0.15 "-0.15" -.1 "-.1" -.05 "-0.05" 0 "0", noticks labsize(2)) xtitle("Effect on Pr(Scheme Chosen)", size(2)) ytitle("") ///
title("Task 2", size(2)) ytitle("") ///
text(0.5 -0.3 "{it:Income tax rate:}", place(c) just(center) size(2)) ///
text(4.5 -0.3 "{it:Tax type:}", place(c) just(center) size(2)) ///
text(6.5 -0.3 "{it:Spending destination:}", place(c) just(center) size(2)) ///
text(11.5 -0.3 "{it:Spending type:}", place(c) just(center) size(2)) ///
text(13.5 -0.3 "{it:Spending institution:}", place(c) just(center) size(2)) ///
text(15.5 -0.3 "{it:Auditing institution:}", place(c) just(center) size(2)) ///
ylabel(1 "1‰" 2 "3‰" 3 "5‰" 4 "10‰" 5 "Alternate" 6 "Additional" 7 "Health" 8 "Unemployment" 9 "Education" ///
10 "Infrastructure" 11 "Not earmarked" 12 "Alternate" 13 "Additional"  ///
14 "Eu. Commission" 15 "Government" 16 "Eu. Auditors Court" 17 "Eu. Commission"  ///
18 "It. Auditors Court", noticks labsize(2)) saving(p_task2fu,replace)

* Profile order effects
use dataset2.dta, clear
reg FU1 i.taxrate i.taxtype i.spend i.spendtype i.spendinst i.contrinst if union==3, cl(ID)
parmest, label norestore
drop in 19
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/18, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-0.15 "-0.15" -.1 "-.1" -.05 "-0.05" 0 "0", noticks labsize(2)) xtitle("Effect on Pr(Scheme Chosen)", size(2)) ytitle("") ///
title("Order 1", size(2)) ytitle("") ///
text(0.5 -0.3 "{it:Income tax rate:}", place(c) just(center) size(2)) ///
text(4.5 -0.3 "{it:Tax type:}", place(c) just(center) size(2)) ///
text(6.5 -0.3 "{it:Spending destination:}", place(c) just(center) size(2)) ///
text(11.5 -0.3 "{it:Spending type:}", place(c) just(center) size(2)) ///
text(13.5 -0.3 "{it:Spending institution:}", place(c) just(center) size(2)) ///
text(15.5 -0.3 "{it:Auditing institution:}", place(c) just(center) size(2)) ///
ylabel(1 "1‰" 2 "3‰" 3 "5‰" 4 "10‰" 5 "Alternate" 6 "Additional" 7 "Health" 8 "Unemployment" 9 "Education" ///
10 "Infrastructure" 11 "Not earmarked" 12 "Alternate" 13 "Additional"  ///
14 "Eu. Commission" 15 "Government" 16 "Eu. Auditors Court" 17 "Eu. Commission"  ///
18 "It. Auditors Court", noticks labsize(2)) saving(p_order1fu,replace)

use dataset2.dta, clear
reg FU1 i.taxrate i.taxtype i.spend i.spendtype i.spendinst i.contrinst if union==4, cl(ID)
parmest, label norestore
drop in 19
sencode parm,gene(parmid)
save sim.dta, replace

eclplot estimate min95 max95 parmid in 1/18, estopts(msize(small)) rplottype(rspike) ciopts(msize(small)) graphregion(fcolor(white)) hor ysca(noline) xline(0, lpattern(dot) lcolor(black) lwidth(medthin)) ///
xlabel(-0.15 "-0.15" -.1 "-.1" -.05 "-0.05" 0 "0", noticks labsize(2)) xtitle("Effect on Pr(Scheme Chosen)", size(2)) ytitle("") ///
title("Order 2", size(2)) ytitle("") ///
text(0.5 -0.3 "{it:Income tax rate:}", place(c) just(center) size(2)) ///
text(4.5 -0.3 "{it:Tax type:}", place(c) just(center) size(2)) ///
text(6.5 -0.3 "{it:Spending destination:}", place(c) just(center) size(2)) ///
text(11.5 -0.3 "{it:Spending type:}", place(c) just(center) size(2)) ///
text(13.5 -0.3 "{it:Spending institution:}", place(c) just(center) size(2)) ///
text(15.5 -0.3 "{it:Auditing institution:}", place(c) just(center) size(2)) ///
ylabel(1 "1‰" 2 "3‰" 3 "5‰" 4 "10‰" 5 "Alternate" 6 "Additional" 7 "Health" 8 "Unemployment" 9 "Education" ///
10 "Infrastructure" 11 "Not earmarked" 12 "Alternate" 13 "Additional"  ///
14 "Eu. Commission" 15 "Government" 16 "Eu. Auditors Court" 17 "Eu. Commission"  ///
18 "It. Auditors Court", noticks labsize(2)) saving(p_order2fu,replace)


graph combine p_task1fu.gph p_task2fu.gph p_order1fu.gph p_order2fu.gph, col(4) graphregion(fcolor(white)) saving(figure_s7, replace)

