version 14

* TABLE S15 Interaction between Attributes of Economic Policy and Assessment of EU Membership
use dataset2.dta, clear
* creating EUbad variable
* D022	Secondo lei il fatto che l'Italia appartenga all'Unione Europea e' un bene, un male, o n un bene n un male?
* D022 more recent and less missings
table D022
replace D022=. if D022==4
rename D022 EUbad
* recoding, switching neither and good
recode EUbad (1 = 3) (3 = 1)
* 1 = neither, 2 = bad, 3 = good
label define EUbad 1 "neither" 2 "EU bad" 3 "EU good"
label values EUbad EUbad

reg Y1 i.unemployment##i.EUbad i.inflation##i.EUbad i.taxsoc##i.EUbad i.euro##i.EUbad i.eucontrol##i.EUbad i.eutaxsoc##i.EUbad, cl(ID)
estimates store econ1

reg Y2 i.unemployment##i.EUbad i.inflation##i.EUbad i.taxsoc##i.EUbad i.euro##i.EUbad i.eucontrol##i.EUbad i.eutaxsoc##i.EUbad, cl(ID)
estimates store econ2

outreg2 [econ1 econ2] using Table_S15.xml, excel replace title("Interaction between Attributes of Economic Policy and EU Membership Assessment")

* TABLE S16 Interaction between Attributes of Fiscal Union Scheme and Assessment of EU Membership
use dataset2.dta, clear
* creating EUbad variable
* Q018_W3_2015 Secondo Lei il fatto che l'Italia appartenga all'Unione Europea e' un bene o un male?
* Q018_W3_2015 more recent and less missings
table Q018_W3_2015
replace Q018_W3_2015=. if Q018_W3_2015==4
rename Q018_W3_2015 EUbad
* recoding, switching neither and good
recode EUbad (1 = 3) (3 = 1)
* 1 = neither, 2 = bad, 3 = good
label define EUbad 1 "neither" 2 "EU bad" 3 "EU good"
label values EUbad EUbad

reg FU1 i.taxrate##i.EUbad i.taxtype##i.EUbad i.spend##i.EUbad i.spendtype##i.EUbad i.spendinst##i.EUbad i.contrinst##i.EUbad, cl(ID)
estimates store fu1

reg FU2 i.taxrate##i.EUbad i.taxtype##i.EUbad i.spend##i.EUbad i.spendtype##i.EUbad i.spendinst##i.EUbad i.contrinst##i.EUbad, cl(ID)
estimates store fu2

outreg2 [fu1 fu2] using Table_S16.xml, excel replace title("Interaction between Attributes of Fiscal Union and EU Membership Assessment")


