version 14

* TABLE S17 Interaction between Attributes of Economic Policy and European Identity
use dataset2.dta, clear

* creating identity variable
* D027_04	L'adesione all'Unione Europea comporta la perdita della nostra identita' culturale	EU national identity
replace D027_04=. if D027_04==12
rename D027_04 identity

reg Y1 i.unemployment##c.identity i.inflation##c.identity i.taxsoc##c.identity i.euro##c.identity i.eucontrol##c.identity i.eutaxsoc##c.identity, cl(ID)
estimates store econ1

reg Y2 i.unemployment##c.identity i.inflation##c.identity i.taxsoc##c.identity i.euro##c.identity i.eucontrol##c.identity i.eutaxsoc##c.identity, cl(ID)
estimates store econ2

outreg2 [econ1 econ2] using Table_S17.xml, excel replace title("Interaction between Attributes of Economic Policy and European Identity")

* TABLE S18 Interaction between Attributes of Fiscal Union Scheme and European Identity
use dataset2.dta, clear

* creating identity variable
* Q164_W3_2015 Lei quanto si sente europeo? (identity4)
* do not know
replace Q164_W3_2015=. if Q164_W3_2015==5
rename Q164_W3_2015 identity

reg FU1 i.taxrate##c.identity i.taxtype##c.identity i.spend##c.identity i.spendtype##c.identity i.spendinst##c.identity i.contrinst##c.identity, cl(ID)
estimates store fu1

*itaeuro Italian vs European(identity2)
* Q020_W3_2015 Lei vede se stesso come....solo italiano --- solo europeo
replace Q020_W3_2015=. if Q020_W3_2015==6 | Q020_W3_2015==7
rename Q020_W3_2015 itaeuro

reg FU1 i.taxrate##c.itaeuro i.taxtype##c.itaeuro i.spend##c.itaeuro i.spendtype##c.itaeuro i.spendinst##c.itaeuro i.contrinst##c.itaeuro, cl(ID)
estimates store fu2

outreg2 [fu1 fu2] using Table_S18.xml, excel replace title("Interaction between Attributes of Fiscal Union and European Identity")


