version 14

* TABLE S20 Full Models (Economic Policy)
use dataset2.dta, clear

* creating variables
*****************  working5
* Q177	Lei attualmente ha un lavoro retribuito, cioe' svolge una attivita' lavorativa retribuita? 1 si/ 2 no
* Q178	Indichi la Sua attuale professione: (lista di professioni)

* 1 Imprenditore
* 2 Artigiano/ familiare coadiuvante
* 3 Commerciante
* 4 Altro lavoratore autonomo, rappresentante, agente di commercio
* 5 Libero professionista
* 6 Dirigente
* 7 Docente / Professore scuola superiore
* 8 Insegnate scuola media, elementare, materna
* 9 Quadro, direttivo, tecnico
* 10 Impiegato
* 11 Altro lavoratore dipendente
* 12 Operaio
* 13 Agricoltore

* Q179	E lavora nel settore: 1 pubblico/ 2 privato
* Q182	Se in famiglia esiste qualcuno che percepisce un reddito, potrebbe indicare la professione del principale percettore di reddito della sua famiglia? (lista di professioni)

* Q180	In quale delle seguenti condizioni lei si trova? inactive (1-4, 10, 11) vs unemployed (5-9), no answer 12
misstable sum Q177
misstable sum Q180

* gen employed: 1 = inactive 2 = unemployed, 3 = lower paid job(2, 4, 8, 10-13), 4 = higher paid job (Q178 labels: 1, 3, 5-7, 9; Q180 label: 11 (wealthy))
gen employed=.
replace employed=1 if Q180<5 | Q180==10
replace employed=2 if Q180>4 & Q180<10
replace employed=3 if Q177==1 & (Q178==2 | Q178==4 | Q178==8 | (Q178>9 & Q178<14))
replace employed=4 if Q177==1 & (Q178==1 | Q178==3 | Q178==9 | (Q178>4 & Q178<8))
replace employed=4 if Q180==11 /* wealthy */
table employed

* check Q_69 and Q_70 for changes in workings conditions
* Q_69	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* Q_70	Se si', in quale delle seguenti condizioni lei si trova attualmente? employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if Q_69==1 & Q_70>1 & Q_70<6
replace employed=2 if Q_69==1 & Q_70>5 & Q_70<10
* if employed I do not know if profession, hence
replace employed=. if Q_69==1 & Q_70==1
table employed

* check D081 and D082 for changes in workings conditions
* D081	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* D082	Se si', in quale delle seguenti condizioni lei si trova attualmente?  employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if D081==1 & D082>1 & D082<6
replace employed=2 if D081==1 & D082>5 & D082<10
* if employed I do not know if profession, hence
replace employed=. if D081==1 & D082==1
table employed
misstable sum employed

*****************  ideology
* D028_01 more recent and less missings
* do not position themselves or do not know
replace D028_01=. if D028_01==12 | D028_01==13
rename D028_01 lr

*****************   EU IS A BAD
* D022	Secondo lei il fatto che l'Italia appartenga all'Unione Europea e' un bene, un male, o n un bene n un male?
* D022 more recent and less missings
replace D022=. if D022==4
rename D022 EUbad
* recoding, switching neither and good
recode EUbad (1 = 3) (3 = 1)
* 1 = neither, 2 = bad, 3 = good
label define EUbad 1 "neither" 2 "EU bad" 3 "EU good"
label values EUbad EUbad

*****************  identity
* D027_04	L'adesione all'Unione Europea comporta la perdita della nostra identita' culturale	EU national identity
replace D027_04=. if D027_04==12
rename D027_04 identity

reg Y1 i.unemployment##i.employed i.inflation##i.employed i.taxsoc##i.employed i.euro##i.employed i.eucontrol##i.employed i.eutaxsoc##i.employed ///
       i.unemployment##c.lr i.inflation##c.lr i.taxsoc##c.lr i.euro##c.lr i.eucontrol##c.lr i.eutaxsoc##c.lr ///
       i.unemployment##i.EUbad i.inflation##i.EUbad i.taxsoc##i.EUbad i.euro##i.EUbad i.eucontrol##i.EUbad i.eutaxsoc##i.EUbad, cl(ID)
estimates store econ1

reg Y1 i.unemployment##i.employed i.inflation##i.employed i.taxsoc##i.employed i.euro##i.employed i.eucontrol##i.employed i.eutaxsoc##i.employed ///
       i.unemployment##c.lr i.inflation##c.lr i.taxsoc##c.lr i.euro##c.lr i.eucontrol##c.lr i.eutaxsoc##c.lr ///
	   i.unemployment##c.identity i.inflation##c.identity i.taxsoc##c.identity i.euro##c.identity i.eucontrol##c.identity i.eutaxsoc##c.identity, cl(ID)
estimates store econ2

outreg2 [econ1 econ2] using Table_S20.xml, excel replace title("Full Models")


