version 14

* TABLE S21 Full Models (Fiscal Union)
use dataset2.dta, clear

* creating variables
*****************  working5
* Q177	Lei attualmente ha un lavoro retribuito, cioe' svolge una attivita' lavorativa retribuita? 1 si/ 2 no
* Q178	Indichi la Sua attuale professione: (lista di professioni)

* 1 Imprenditore
* 2 Artigiano/ familiare coadiuvante
* 3 Commerciante
* 4 Altro lavoratore autonomo, rappresentante, agente di commercio
* 5 Libero professionista
* 6 Dirigente
* 7 Docente / Professore scuola superiore
* 8 Insegnate scuola media, elementare, materna
* 9 Quadro, direttivo, tecnico
* 10 Impiegato
* 11 Altro lavoratore dipendente
* 12 Operaio
* 13 Agricoltore

* Q179	E lavora nel settore: 1 pubblico/ 2 privato
* Q182	Se in famiglia esiste qualcuno che percepisce un reddito, potrebbe indicare la professione del principale percettore di reddito della sua famiglia? (lista di professioni)

* Q180	In quale delle seguenti condizioni lei si trova? inactive (1-4, 10, 11) vs unemployed (5-9), no answer 12

* gen employed: 1 = inactive 2 = unemployed, 3 = lower paid job(2, 4, 8, 10-13), 4 = higher paid job (Q178 labels: 1, 3, 5-7, 9; Q180 label: 11 (wealthy))
gen employed=.
replace employed=1 if Q180<5 | Q180==10
replace employed=2 if Q180>4 & Q180<10
replace employed=3 if Q177==1 & (Q178==2 | Q178==4 | Q178==8 | (Q178>9 & Q178<14))
replace employed=4 if Q177==1 & (Q178==1 | Q178==3 | Q178==9 | (Q178>4 & Q178<8))
replace employed=4 if Q180==11 /* wealthy */
table employed

* check Q_69 and Q_70 for changes in workings conditions
* Q_69	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* Q_70	Se si', in quale delle seguenti condizioni lei si trova attualmente? employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if Q_69==1 & Q_70>1 & Q_70<6
replace employed=2 if Q_69==1 & Q_70>5 & Q_70<10
* if employed I do not know if profession, hence
replace employed=. if Q_69==1 & Q_70==1

* check D081 and D082 for changes in workings conditions
* D081	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* D082	Se si', in quale delle seguenti condizioni lei si trova attualmente?  employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if D081==1 & D082>1 & D082<6
replace employed=2 if D081==1 & D082>5 & D082<10
* if employed I do not know if profession, hence
replace employed=. if D081==1 & D082==1

* Q180_W3_2015 Lei attualmente ha un lavoro retribuito, cioe' svolge una attivita' lavorativa retribuita? 1 si/ 2 no
* Q181_W3_2015 Indichi la Sua attuale professione
* Q184_W3_2015 In quale delle seguenti condizioni Lei si trova? inactive (1-4, 10, 11) vs unemployed (5-9), no answer 12
* employed: 1 = inactive 2 = unemployed, 3 = lower paid job(2, 4, 8, 10-13), 4 = higher paid job (1, 3, 5-7, 9, 11 (wealthy))
replace employed=1 if Q184_W3_2015<5 | Q184_W3_2015==10
replace employed=2 if Q184_W3_2015>4 & Q184_W3_2015<10
replace employed=3 if Q180_W3_2015==1 & (Q181_W3_2015==2 | Q181_W3_2015==4 | Q181_W3_2015==8 | (Q181_W3_2015>9 & Q181_W3_2015<14))
replace employed=4 if Q180_W3_2015==1 & (Q181_W3_2015==1 | Q181_W3_2015==3 | Q181_W3_2015==9 | (Q181_W3_2015>4 & Q181_W3_2015<8))
replace employed=4 if Q184_W3_2015==11 /* wealthy */

*labelling
label define employed 1 "inactive" 2 "unemployed" 3 "low income" 4 "high income", modify
label values employed employed

*****************  ideology
* do not position themselves
replace Q021_01_W3_2015=. if Q021_01_W3_2015==12
* do not know
replace Q021_01_W3_2015=. if Q021_01_W3_2015==13

rename Q021_01_W3_2015 lr

*****************  identity2
*itaeuro Italian vs European(identity2)
* Q020_W3_2015 Lei vede se stesso come....solo italiano --- solo europeo
replace Q020_W3_2015=. if Q020_W3_2015==6 | Q020_W3_2015==7
rename Q020_W3_2015 itaeuro

*****************  identity4
* Q164_W3_2015 Lei quanto si sente europeo? (identity4)
* do not know
replace Q164_W3_2015=. if Q164_W3_2015==5
rename Q164_W3_2015 identity

*****************  EUbad
* Q018_W3_2015 more recent and less missings
replace Q018_W3_2015=. if Q018_W3_2015==4
rename Q018_W3_2015 EUbad
* recoding, switching neither and good
recode EUbad (1 = 3) (3 = 1)
* 1 = neither, 2 = bad, 3 = good
label define EUbad 1 "neither" 2 "EU bad" 3 "EU good"
label values EUbad EUbad

************* Trust EU (trust_EU)
* Q013_03_W3_2015 * Quanta fiducia ha nei confronti delle seguenti istituzioni?: L'Unione Europea
* 1 low trust, 4 high trust, 5 do not know
* replace "do not know"
replace Q013_03_W3_2015=. if Q013_03_W3_2015==5
rename Q013_03_W3_2015 trust_EU

************* Trust Greek Gov (trust_Gr)
* D.14.5 Quanta fiducia ha nei confronti delle seguenti istituzioni?Esprima il Suo giudizio su una scala che va da 'nessuna fiducia' a 'molta fiducia'.: Il governo greco
* replace "do not know"
replace Q107_02_W3_2015=. if Q107_02_W3_2015==5
rename Q107_02_W3_2015 trust_Gr

reg FU1 i.taxrate##c.trust_Gr i.taxtype##c.trust_Gr i.spend##c.trust_Gr i.spendtype##c.trust_Gr i.spendinst##c.trust_Gr i.contrinst##c.trust_Gr ///
i.taxrate##c.identity i.taxtype##c.identity i.spend##c.identity i.spendtype##c.identity i.spendinst##c.identity i.contrinst##c.identity ///
i.taxrate##c.lr i.taxtype##c.lr i.spend##c.lr i.spendtype##c.lr i.spendinst##c.lr i.contrinst##c.lr ///
i.taxrate##i.employed i.taxtype##i.employed i.spend##i.employed i.spendtype##i.employed i.spendinst##i.employed i.contrinst##i.employed, cl(ID)
estimates store fu1

reg FU1 i.taxrate##c.trust_Gr i.taxtype##c.trust_Gr i.spend##c.trust_Gr i.spendtype##c.trust_Gr i.spendinst##c.trust_Gr i.contrinst##c.trust_Gr ///
i.taxrate##c.itaeuro i.taxtype##c.itaeuro i.spend##c.itaeuro i.spendtype##c.itaeuro i.spendinst##c.itaeuro i.contrinst##c.itaeuro ///
i.taxrate##c.lr i.taxtype##c.lr i.spend##c.lr i.spendtype##c.lr i.spendinst##c.lr i.contrinst##c.lr ///
i.taxrate##i.employed i.taxtype##i.employed i.spend##i.employed i.spendtype##i.employed i.spendinst##i.employed i.contrinst##i.employed, cl(ID)
estimates store fu2

reg FU1 i.taxrate##c.trust_Gr i.taxtype##c.trust_Gr i.spend##c.trust_Gr i.spendtype##c.trust_Gr i.spendinst##c.trust_Gr i.contrinst##c.trust_Gr ///
i.taxrate##i.EUbad i.taxtype##i.EUbad i.spend##i.EUbad i.spendtype##i.EUbad i.spendinst##i.EUbad i.contrinst##i.EUbad ///
i.taxrate##c.lr i.taxtype##c.lr i.spend##c.lr i.spendtype##c.lr i.spendinst##c.lr i.contrinst##c.lr ///
i.taxrate##i.employed i.taxtype##i.employed i.spend##i.employed i.spendtype##i.employed i.spendinst##i.employed i.contrinst##i.employed, cl(ID)
estimates store fu3

reg FU1 i.taxrate##c.trust_EU i.taxtype##c.trust_EU i.spend##c.trust_EU i.spendtype##c.trust_EU i.spendinst##c.trust_EU i.contrinst##c.trust_EU ///
i.taxrate##c.identity i.taxtype##c.identity i.spend##c.identity i.spendtype##c.identity i.spendinst##c.identity i.contrinst##c.identity ///
i.taxrate##c.lr i.taxtype##c.lr i.spend##c.lr i.spendtype##c.lr i.spendinst##c.lr i.contrinst##c.lr ///
i.taxrate##i.employed i.taxtype##i.employed i.spend##i.employed i.spendtype##i.employed i.spendinst##i.employed i.contrinst##i.employed, cl(ID)
estimates store fu4

reg FU1 i.taxrate##c.trust_EU i.taxtype##c.trust_EU i.spend##c.trust_EU i.spendtype##c.trust_EU i.spendinst##c.trust_EU i.contrinst##c.trust_EU ///
i.taxrate##c.itaeuro i.taxtype##c.itaeuro i.spend##c.itaeuro i.spendtype##c.itaeuro i.spendinst##c.itaeuro i.contrinst##c.itaeuro ///
i.taxrate##c.lr i.taxtype##c.lr i.spend##c.lr i.spendtype##c.lr i.spendinst##c.lr i.contrinst##c.lr ///
i.taxrate##i.employed i.taxtype##i.employed i.spend##i.employed i.spendtype##i.employed i.spendinst##i.employed i.contrinst##i.employed, cl(ID)
estimates store fu5

reg FU1 i.taxrate##c.trust_EU i.taxtype##c.trust_EU i.spend##c.trust_EU i.spendtype##c.trust_EU i.spendinst##c.trust_EU i.contrinst##c.trust_EU ///
i.taxrate##i.EUbad i.taxtype##i.EUbad i.spend##i.EUbad i.spendtype##i.EUbad i.spendinst##i.EUbad i.contrinst##i.EUbad ///
i.taxrate##c.lr i.taxtype##c.lr i.spend##c.lr i.spendtype##c.lr i.spendinst##c.lr i.contrinst##c.lr ///
i.taxrate##i.employed i.taxtype##i.employed i.spend##i.employed i.spendtype##i.employed i.spendinst##i.employed i.contrinst##i.employed, cl(ID)
estimates store fu6

outreg2 [fu1 fu2 fu3 fu4 fu5 fu6] using Table_S21.xml, excel replace title("Full Models")






