version 14

* TABLE S12 Interaction between Attributes of Fiscal Union Scheme and Employment Status

* Create employed variable
* Q177	Lei attualmente ha un lavoro retribuito, cioe' svolge una attivita' lavorativa retribuita? 1 si/ 2 no
* Q178	Indichi la Sua attuale professione: (lista di professioni)
* 1 Imprenditore
* 2 Artigiano/ familiare coadiuvante
* 3 Commerciante
* 4 Altro lavoratore autonomo, rappresentante, agente di commercio
* 5 Libero professionista
* 6 Dirigente
* 7 Docente / Professore scuola superiore
* 8 Insegnate scuola media, elementare, materna
* 9 Quadro, direttivo, tecnico
* 10 Impiegato
* 11 Altro lavoratore dipendente
* 12 Operaio
* 13 Agricoltore

* Q180	In quale delle seguenti condizioni lei si trova? inactive (1-4, 10, 11) vs unemployed (5-9), no answer 12
use dataset2.dta, clear
misstable sum Q177
misstable sum Q180

* gen employed: 1 = inactive 2 = unemployed, 3 = lower paid job(2, 4, 8, 10-13), 4 = higher paid job (Q178 labels: 1, 3, 5-7, 9; Q180 label: 11 (wealthy))
gen employed=.
replace employed=1 if Q180<5 | Q180==10
replace employed=2 if Q180>4 & Q180<10
replace employed=3 if Q177==1 & (Q178==2 | Q178==4 | Q178==8 | (Q178>9 & Q178<14))
replace employed=4 if Q177==1 & (Q178==1 | Q178==3 | Q178==9 | (Q178>4 & Q178<8))
replace employed=4 if Q180==11 /* wealthy */
table employed

* check Q_69 and Q_70 for changes in workings conditions
* Q_69	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* Q_70	Se si', in quale delle seguenti condizioni lei si trova attualmente? employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if Q_69==1 & Q_70>1 & Q_70<6
replace employed=2 if Q_69==1 & Q_70>5 & Q_70<10
* if employed I do not know if profession, hence
replace employed=. if Q_69==1 & Q_70==1
table employed

* check D081 and D082 for changes in workings conditions
* D081	L'intervista e' quasi finita. Potrebbe dirci per finire se nel corso dell'ultimo anno la sua situazione lavorativa e' cambiata? 1 si, 2 no, 3 no answer
* D082	Se si', in quale delle seguenti condizioni lei si trova attualmente?  employed (1), inactive (2-5), unemployed (6-9), no answer 10
replace employed=1 if D081==1 & D082>1 & D082<6
replace employed=2 if D081==1 & D082>5 & D082<10
* if employed I do not know if profession, hence
replace employed=. if D081==1 & D082==1
table employed

* Q180_W3_2015 Lei attualmente ha un lavoro retribuito, cioe' svolge una attivita' lavorativa retribuita? 1 si/ 2 no
* Q181_W3_2015 Indichi la Sua attuale professione
* Q184_W3_2015 In quale delle seguenti condizioni Lei si trova? inactive (1-4, 10, 11) vs unemployed (5-9), no answer 12
* employed: 1 = inactive 2 = unemployed, 3 = lower paid job(2, 4, 8, 10-13), 4 = higher paid job (1, 3, 5-7, 9, 11 (wealthy))
replace employed=1 if Q184_W3_2015<5 | Q184_W3_2015==10
replace employed=2 if Q184_W3_2015>4 & Q184_W3_2015<10
replace employed=3 if Q180_W3_2015==1 & (Q181_W3_2015==2 | Q181_W3_2015==4 | Q181_W3_2015==8 | (Q181_W3_2015>9 & Q181_W3_2015<14))
replace employed=4 if Q180_W3_2015==1 & (Q181_W3_2015==1 | Q181_W3_2015==3 | Q181_W3_2015==9 | (Q181_W3_2015>4 & Q181_W3_2015<8))
replace employed=4 if Q184_W3_2015==11 /* wealthy */
table employed
misstable sum employed

*labelling
label define employed 1 "inactive" 2 "unemployed" 3 "low income" 4 "high income", modify
label values employed employed

reg FU1 i.taxrate##i.employed i.taxtype##i.employed i.spend##i.employed i.spendtype##i.employed i.spendinst##i.employed i.contrinst##i.employed, cl(ID)
estimates store fu1

reg FU2 i.taxrate##i.employed i.taxtype##i.employed i.spend##i.employed i.spendtype##i.employed i.spendinst##i.employed i.contrinst##i.employed, cl(ID)
estimates store fu2

outreg2 [fu1 fu2] using Table_S12.xml, excel replace title("Interaction between Attributes of Fiscal Union and Employment Status")



