version 14

use dataset1.dta, clear

* TABLE S5 Predictors of Support for a Fiscal Union with Quadratic Ideological Correlate
* Model 1a
reg FU   ib3.employed c.faminc i.region c.lr c.lr#c.lr i.EUbad c.identity ///
         c.trust_EU c.trust_It c.trust_Gr c.trust_Ge c.trust_GrP c.trust_GeP c.trust_p i.female c.edu c.age , vce(robust)
estimates store m1alr
qui margins, at(lr=(1/11))
marginsplot, title(Model 1a) xlabel(1 "left" 5.5 "centre" 11 "right") xtitle("Ideology") graphregion(fcolor(white)) saving(pm_lr2-1a, replace)

* Model 2a
reg FUcd   ib3.employed c.faminc i.region c.lr c.lr#c.lr i.EUbad c.identity ///
         c.trust_EU c.trust_It c.trust_Gr c.trust_Ge c.trust_GrP c.trust_GeP c.trust_p i.female c.edu c.age , vce(robust)
estimates store m2alr
qui margins, at(lr=(1/11))
marginsplot, title(Model 1b) xlabel(1 "left" 5.5 "centre" 11 "right") xtitle("Ideology") graphregion(fcolor(white)) saving(pm_lr2-1b, replace)

* Model 1b
reg FU   ib3.employed c.faminc i.region c.lr c.lr#c.lr i.EUbad c.itaeuro ///
         c.trust_EU c.trust_It c.trust_Gr c.trust_Ge c.trust_GrP c.trust_GeP c.trust_p i.female c.edu c.age , vce(robust)
estimates store m1blr
qui margins, at(lr=(1/11))
marginsplot, title(Model 2a) xlabel(1 "left" 5.5 "centre" 11 "right") xtitle("Ideology") graphregion(fcolor(white)) saving(pm_lr2-2a, replace)

* Model 2b
reg FUcd   ib3.employed c.faminc i.region c.lr c.lr#c.lr i.EUbad c.itaeuro ///
         c.trust_EU c.trust_It c.trust_Gr c.trust_Ge c.trust_GrP c.trust_GeP c.trust_p i.female c.edu c.age , vce(robust)
estimates store m2blr
qui margins, at(lr=(1/11))
marginsplot, title(Model 2b) xlabel(1 "left" 5.5 "centre" 11 "right") xtitle("Ideology") graphregion(fcolor(white)) saving(pm_lr2-2b, replace)

* FIGURE S3 Predictive Effects on Fiscal Union Support with a Quadratic Ideological Correlate
graph combine pm_lr2-1a.gph pm_lr2-1b.gph pm_lr2-2a.gph pm_lr2-2b.gph, graphregion(fcolor(white)) saving(figure_s3, replace)

outreg2 [m1alr m1blr m2alr m2blr] using Table_S5.xml, excel replace ///
title("TABLE 1: Predictors of Support for a Fiscal Union (quadratic lr)") stats(coef se) ///
sortvar(1.employed 2.employed 4.employed faminc 2.region lr c.lr#c.lr 2.EUbad 3.EUbad identity itaeuro trust_EU trust_It trust_Gr trust_Ge trust_GrP trust_GeP trust_p 2.female edu age)

