version 14

use dataset1.dta, clear

************* ATTITUDES TOWARD A FISCAL UNION
** Dependent variable (models 1): not probed attitudes toward fiscal union
tab FU
* contrario = against
* favorevole = for

** Dependent variable (models 2): probed attitudes toward fiscal union
tab FUcd
* created modifying FU in light of the answers in Q105_W3_2015 and Q106_W3_2015

************* ECONOMIC SELF-INTEREST CORRELATES
************ Employment status (working5)
* employed: 1 = inactive 2 = unemployed, 3 = lower paid job (Q178 labels: 2, 4, 8, 10-13), 4 = higher paid job (Q178 labels: 1, 3, 5-7, 9; Q180-Q184_W3_2015 label: 11 (wealthy))
table employed

************ Assessment about family income
table faminc

************* Region
* Net contributor/recipient regions 2012
* Piemonte 12
* Lombardia 9
* Trentino 17
* Veneto 20
* Emilia Romagna 5
* Toscana 16
* Marche 10
* Lazio 7

* net recipient region = 1, net contributor region = 2
table region
  
************* PARTISAN IDEOLOGY CORRELATES
************* Left-right ideology (not extended)
table lr  
* sinistra = left
* destra = right

************* EU ATTITUDES CORRELATES
table EUbad

************* EU FEELING EUROPEAN
table identity

************* EU FEELING ITALIAN VS EUROPEAN
table itaeuro

************* TRUST CORRELATES
************* Trust Greek Government
table trust_Gr
* nessuna = none
* molta = a lot

************* Trust in Greeks
table trust_GrP

************* Trust German Government
table trust_Ge

************* Trust in Germans
table trust_GeP

************* Trust Italian Government
table trust_It

************* Trust in EU
table trust_EU

************* Trust in people
table trust_p
* 1-7 = low-high

************* SOCIO-DEMOGRAPHIC CORRELATES
************* Gender (gender), age (age) and education (education)
table female
table edu
table age

*********************  TABLE 1 Predictors of Support for a Fiscal Union
* Full table reported in the online Supplemental Material (Table S3)
* Model 1a
reg FU   ib3.employed c.faminc i.region c.lr i.EUbad c.identity ///
         c.trust_EU c.trust_It c.trust_Gr c.trust_Ge c.trust_GrP c.trust_GeP c.trust_p i.female c.edu c.age , vce(robust)
estimates store m1a

* Model 2a
reg FUcd   ib3.employed c.faminc i.region c.lr i.EUbad c.identity ///
         c.trust_EU c.trust_It c.trust_Gr c.trust_Ge c.trust_GrP c.trust_GeP c.trust_p i.female c.edu c.age , vce(robust)
estimates store m2a

* Model 1b
reg FU   ib3.employed c.faminc i.region c.lr i.EUbad c.itaeuro ///
         c.trust_EU c.trust_It c.trust_Gr c.trust_Ge c.trust_GrP c.trust_GeP c.trust_p i.female c.edu c.age , vce(robust)
estimates store m1b

* Model 2b
reg FUcd   ib3.employed c.faminc i.region c.lr i.EUbad c.itaeuro ///
         c.trust_EU c.trust_It c.trust_Gr c.trust_Ge c.trust_GrP c.trust_GeP c.trust_p i.female c.edu c.age , vce(robust)
estimates store m2b

outreg2 [m1a m1b m2a m2b] using Table_1.xml, excel replace ///
title("TABLE 1: Predictors of Support for a Fiscal Union") stats(coef se) ///
sortvar(1.employed 2.employed 4.employed faminc 2.region lr 2.EUbad 3.EUbad identity itaeuro trust_EU trust_It trust_Gr trust_Ge trust_GrP trust_GeP trust_p 2.female edu age)

